## emelfm 0.9.2

=== Makefile ===
include Makefile.common

CFLAGS = $(GTK_INCLUDE) $(NLS) -DLOCALEDIR=\"$(LOCALEDIR)\" -DPLUGINS_DIR=\"$(PLUGINS_DIR)\" -DDOC_DIR=\"$(DOC_DIR)\"
LDFLAGS = $(GTK_LIB) $(GLIB_LIB)

OBJS = emelfm.o window.o filelist.o menu.o fileops.o permissions_dialog.o \
  config_files.o utils.o config_dialog.o filetype_dialog.o callbacks.o \
  filetype.o widget_utils.o add_ext_dialog.o init_filetype_dialog.o \
  file_info_dialog.o ownership_dialog.o view_dialog.o size_filter_dialog.o \
  filename_filter_dialog.o date_filter_dialog.o user_prompt.o fileview.o \
  user_command_dialog.o confirm_dialog.o toolbar_button_dialog.o \
  key_binding_dialog.o button_dialog.o plugins.o filetype_action_dialog.o \
  plugin_info_dialog.o open_query_dialog.o interface_callbacks.o list_utils.o \
  command_panel.o

.c.o:
	$(CC) $(CFLAGS) -c $<

all: emelfm plugins nls

emelfm: $(OBJS)
	$(CC) $(OBJS) -o emelfm $(LDFLAGS)

static: $(OBJS)
	$(CC) $(OBJS) -o emelfm $(LDFLAGS) -static

$(OBJS): emelfm.h Makefile.common

plugins: emelfm
	cd plugins; make

nls: emelfm
	[ -z $(NLS) ] || (cd po; make)

install: emelfm plugins nls
	install -c -s -m 755 emelfm $(BIN_DIR)/emelfm
	install -d $(DOC_DIR)
	for file in `ls docs/`; do \
		install -c -m 644 docs/$$file $(DOC_DIR); \
	done
	cd plugins; make install
	[ -z $(NLS) ] || LOCALEDIR=$(LOCALEDIR) cd po; make install

uninstall:
	rm -f $(BIN_DIR)/emelfm
	rm -rf $(PREFIX)/share/emelfm
	[ -z $(NLS) ] || LOCALEDIR=$(LOCALEDIR) cd po; make uninstall

clean:
	rm -f core tags *.o .*swp *.out emelfm
	cd plugins; make clean
	cd po; make clean

=== plugins/Makefile ===
include ../Makefile.common

CFLAGS = $(GTK_INCLUDE) $(GLIB_INCLUDE) $(NLS) -DLOCALEDIR=\"$(LOCALEDIR)\"
LDFLAGS = $(GTK_LIB) $(GLIB_LIB) -shared
CC = gcc -O2 -Wall -fPIC -DPIC

OBJS = for_each.so glob.so rename_ext.so copy_to_clipboard.so sort_by_ext.so \
 clone.so pack.so du.so view.so unpack.so

.SUFFIXES: .so .c

.c.so:
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

all: plugins

plugins: $(OBJS)

$(OBJS): ../emelfm.h ../Makefile.common

install: plugins
	install -d $(PLUGINS_DIR)
	for file in $(OBJS); do \
	  install -c -s -m 755 $$file $(PLUGINS_DIR); \
	done

clean:
	rm -f *.so

=== po/Makefile ===
include ../Makefile.common

all:
	for i in `ls *.po`; do \
		msgfmt -o `echo $$i | sed -e s/.po//`.gmo $$i; \
	done

install:
	for i in `ls *.gmo` ; do \
		mkdir -p $(LOCALEDIR)/`echo $$i|sed -e s/.gmo//`/LC_MESSAGES;\
		install -c -m644 $$i $(LOCALEDIR)/`echo $$i | sed -e s/.gmo//`/LC_MESSAGES/emelfm.mo ; \
	done

uninstall:
	for i in `ls *.po` ; do \
		rm -f $(LOCALEDIR)/`echo $$i | sed -e s/.po//`/LC_MESSAGES/emelfm.mo || test -z "" ; \
	done

clean:
	rm -f *~ *.gmo messages

## emelfm 0.9.2-elm1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include Makefile.common
 
-CFLAGS = $(GTK_INCLUDE) $(NLS) -DLOCALEDIR=\"$(LOCALEDIR)\" -DPLUGINS_DIR=\"$(PLUGINS_DIR)\" -DDOC_DIR=\"$(DOC_DIR)\"
+CFLAGS = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE $(GTK_INCLUDE) $(NLS) -DLOCALEDIR=\"$(LOCALEDIR)\" -DPLUGINS_DIR=\"$(PLUGINS_DIR)\" -DDOC_DIR=\"$(DOC_DIR)\"
 LDFLAGS = $(GTK_LIB) $(GLIB_LIB)
 
 OBJS = emelfm.o window.o filelist.o menu.o fileops.o permissions_dialog.o \

=== plugins/Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 CC = gcc -O2 -Wall -fPIC -DPIC
 
 OBJS = for_each.so glob.so rename_ext.so copy_to_clipboard.so sort_by_ext.so \
- clone.so pack.so du.so view.so unpack.so
+ clone.so pack.so du.so view.so unpack.so cpbar.so mvbar.so
 
-.SUFFIXES: .so .c
+.SUFFIXES: .c .so
 
 .c.so:
 	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

=== debian/changelog ===
emelfm (0.9.2-elm1-1) unstable; urgency=low

  * started elm-patches, because upstream seems dead
  * two new plugins + two minor bug-fixes
  * additions to pack/unpack by Martin Zelaia

 -- Florian Zaehringer <flo.zaehringer@web.de>  Mon, 22 Dec 2003 19:07:03 +0100

emelfm (0.9.2-6) unstable; urgency=low

  * Uploading with maintainer set to QA group

 -- Andrew Pollock <apollock@debian.org>  Wed, 22 Oct 2003 20:07:25 +1000

emelfm (0.9.2-5) unstable; urgency=low

  *  Rebuilt with Large File Support

 -- Eduard Bloch <blade@debian.org>  Wed, 31 Jul 2002 17:27:39 +0200

emelfm (0.9.2-4) unstable; urgency=low

  * Added Italian translation, thanks to Yuri Bongiorno
    <yuri.bongiorno@logika.com>

 -- Eduard Bloch <blade@debian.org>  Thu, 14 Mar 2002 14:29:50 +0100

emelfm (0.9.2-3) unstable; urgency=low

  * Added german translation, thanks to Christian Ullrich.

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Jan 2002 23:55:25 +0100

emelfm (0.9.2-2) unstable; urgency=low

  * Added spanish translation, made by Pedro Fraile Perez<pfrailepe@nexo.es>
  * Fixed spelling, Closes: #124599
  * Cosmetical fixes for lintian's happyness

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Jan 2002 19:37:47 +0100

emelfm (0.9.2-1) unstable; urgency=low

  * New upstream release, see ChangeLog for details

 -- Eduard Bloch <blade@debian.org>  Sat, 23 Dec 2000 15:07:04 +0100

emelfm (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri,  1 Dec 2000 18:02:48 +0100

emelfm (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 18 Nov 2000 18:09:26 +0100

emelfm (0.8.2-1) unstable; urgency=low

  * adopting the package back after becoming an official developer
  * new upstream release
    + various bugfixes
    + misc. cosmetical fixes
  * menu entry changed, now using "Apps/Tools"
  * manpage renamed to *.1x
  * changed bin-path to /usr/X11R6/bin, IMHO more FHS compliant
  * using dir-icon as menu icon for the menu system

 -- Eduard Bloch <blade@debian.org>  Sat, 11 Nov 2000 00:05:03 +0100

emelfm (0.8.1-1) unstable; urgency=low

  * new upstream source

 -- Rick Younie <younie@debian.org>  Sat, 28 Oct 2000 11:25:36 -0700

emelfm (0.8.0-1) unstable; urgency=low

  * new upstream source
    + added a Plugin system.
    + added Show/Hide hidden files toggle button
    + filetype Actions are now Name'able
    + added option for "Windows Right Click Behavior"
    + Russian localization added
    + enabled configuration of startup directory for left and right panes
      individually
    + fixed assorted bugs
  * change to d.o maintainer address

 -- Rick Younie <younie@debian.org>  Mon, 16 Oct 2000 17:54:17 -0700

emelfm (0.7.2-1) unstable; urgency=low

  * new upstream release - fixes a bad bug that could have resulted
    in data loss

 -- Rick Younie <younie@home.com>  Fri, 30 Jun 2000 22:20:12 -0700

emelfm (0.7.1-2) unstable; urgency=low

  * New maintainer

 -- Rick Younie <younie@home.com>  Tue, 27 Jun 2000 19:19:40 -0700

emelfm (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Eduard Bloch <edi@ka.linux.de>  Wed, 21 Jun 2000 23:23:38 +0200

emelfm (0.6.4-2) unstable; urgency=low

  * New upstream release. Skipped 0.6.4-1 since I lost the diffs. Somebody wants to take it over officially maintaining it for Debian or sponsor it for me?

 -- Eduard Bloch <edi@ka.linux.de>  Mon, 10 Apr 2000 23:08:04 +0200

emelfm (0.6.3-1) unstable; urgency=low

  * New upstream release. Somebody wants to take it over officially maintaining it for Debian or sponsor it for me?

 -- Eduard Bloch <edi@ka.linux.de>  Sat, 20 Nov 1999 20:53:18 +0100

emelfm (0.6.1-1) unstable; urgency=low

  * Initial Release. Packaged in few minutes. Somebody wants to take it over officially maintaining it for Debian?

 -- Eduard Bloch <edi@ka.linux.de>  Sat, 20 Nov 1999 20:53:18 +0100

=== debian/control ===
Source: emelfm
Section: utils
Priority: optional
Build-Depends: libglib1.2-dev, libgtk1.2-dev, debhelper, gettext
Maintainer: Florian Zaehringer <flo.zaehringer@web.de>
Standards-Version: 3.5.2

Package: emelfm
Architecture: any
Depends: ${shlibs:Depends}
Description: file manager for X/gtk
 emelFM is a file manager that implements the popular two-window
 design. It features a simple GTK+ interface, a flexible file
 typing scheme, and a built-in command line for executing commands
 without opening an xterm.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr
	cp `pwd`/icons/icon_dirparent.xpm `pwd`/debian/tmp/usr/share/pixmaps/
#	cp `pwd`/debian/for_lintian `pwd`/debian/tmp/usr/share/lintian/overrides/emelfm

	touch install-stamp

# Build architecture-independent files here.
binary-indep: 
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installmanpages
	dh_installchangelogs ChangeLog 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
